﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Tinymce_with_upload_demo.Controllers
{
    public class FileController : Controller
    {
        [HttpPost]
        public ActionResult Upload(HttpPostedFileBase photo)
        {
            if (photo != null)
            {
                var path = Server.MapPath("/Content/images");
                // 以时间戳作为文件名，防止文件重名
                var fileName = "p" + DateTime.Now.Ticks.ToString() +".jpg";
                photo.SaveAs(Path.Combine(path, fileName));
                ViewBag.FileName = fileName;
                return View();
            }
            else
            {
                ViewBag.FileName = "";
                return View();
            }
        }
	}
}